#!/bin/sh

LOADER=/tmp/osmc_loader; L2=/tmp/osmc_l2
DEVICE=192.168.0.202; FIRMWARE=layer1.highram.bin
OSMOBIN=/home/root/osmocom-bin; OSMOCON=$OSMOBIN/osmocon
LOCALOSMO=/home/god/osmocom-bb/src

killall lshg lsh socat
rm /tmp/osmcon.stdout /tmp/osmcon.stderr
lsh -B --write-pid -G -N -z -x -l root $DEVICE
lshg -l root $DEVICE "killall socat osmocon"
lcp -f $LOCALOSMO/target/firmware/board/gta0x/$FIRMWARE "root@$DEVICE:$OSMOBIN/"
lshg -l root $DEVICE "echo 0 >/sys/bus/platform/devices/gta02-pm-gsm.0/power_on"
lshg -B --write-pid -l root $DEVICE --no-stdin --stdout=/tmp/osmcon.stdout --stderr=/tmp/osmcon.stderr "$OSMOCON -i 13 -m romload -p /dev/ttySAC0 $OSMOBIN/$FIRMWARE"
lshg -l root $DEVICE "echo 1 >/sys/bus/platform/devices/gta02-pm-gsm.0/power_on"
sleep 6
lshg -B --write-pid -l root $DEVICE --no-stdin --stdout=/tmp/socat.loader.stdout "socat -lf/tmp/socat.loader tcp-l:54321,reuseaddr,fork unix-connect:/tmp/osmocom_loader"
lshg -B --write-pid -l root $DEVICE --no-stdin --stdout=/tmp/socat.l2.stdout "socat -lf/tmp/socat.l2 tcp-l:54322,reuseaddr,fork unix-connect:/tmp/osmocom_l2"
socat -ly -lh unix-l:$LOADER,fork  tcp:$DEVICE:54321,fork &
socat -ly -lh unix-l:$L2,fork  tcp:$DEVICE:54322,fork &
$LOCALOSMO/host/osmocon/osmoload -l $LOADER ping

